Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 97)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 98)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! hydro_press renamed hyp
+! 
 ! TEST: PRINT statements on unit 9 (commented out)
 !
@@ -10,4 +10,7 @@
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! hydro_press renamed hyp
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 97)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Advection of salinity included
-! Bugfix: Error in boundary condition for TKE removed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Advection of salinity included
+! Bugfix: Error in boundary condition for TKE removed
 !
 ! 63 2007-03-13 03:52:49Z raasch
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 97)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Averaging of density and salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! Averaging of density and salinity
 !
 ! 72 2007-03-19 08:20:46Z raasch
Index: palm/trunk/SOURCE/boundary_conds.f90
===================================================================
--- palm/trunk/SOURCE/boundary_conds.f90	(revision 97)
+++ palm/trunk/SOURCE/boundary_conds.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Boundary conditions for salinity added
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! Boundary conditions for salinity added
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/buoyancy.f90
===================================================================
--- palm/trunk/SOURCE/buoyancy.f90	(revision 97)
+++ palm/trunk/SOURCE/buoyancy.f90	(revision 98)
@@ -4,12 +4,15 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Routine reneralized to be used with temperature AND density:
 ! argument theta renamed var, new argument var_reference,
 ! use_pt_reference renamed use_reference,
 ! calc_mean_pt_profile renamed calc_mean_profile
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 57 2007-03-09 12:05:41Z raasch
Index: palm/trunk/SOURCE/calc_liquid_water_content.f90
===================================================================
--- palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 97)
+++ palm/trunk/SOURCE/calc_liquid_water_content.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! hydro_press renamed hyp
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! hydro_press renamed hyp
 !
 ! 19 2007-02-23 04:53:48Z raasch
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 97)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 98)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Initial salinity profile is calculated, salinity boundary conditions are
 ! checked,
@@ -9,8 +16,4 @@
 ! +initial temperature and geostrophic velocity profiles for the ocean version,
 ! use_pt_reference renamed use_reference
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 89 2007-05-25 12:08:31Z raasch
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 97)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Output of density and salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! Output of density and salinity
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 97)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Output of density and salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! Output of density and salinity
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 97)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 98)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Adjustment of mixing length calculation for the ocean version. zw added to
 ! argument list.
@@ -10,8 +17,4 @@
 ! theta renamed var, dpt_dz renamed dvar_dz, +new argument var_reference
 ! use_pt_reference renamed use_reference
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 65 2007-03-13 12:11:43Z raasch
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 97)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 98)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Adjustment of mixing length calculation for the ocean version.
 ! This is also a bugfix, because the height above the topography is now
@@ -9,8 +16,4 @@
 ! theta renamed var, dpt_dz renamed dvar_dz, +new argument var_reference
 ! use_pt_reference renamed use_reference
-! 
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 57 2007-03-09 12:05:41Z raasch
Index: palm/trunk/SOURCE/eqn_state_seawater.f90
===================================================================
--- palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 97)
+++ palm/trunk/SOURCE/eqn_state_seawater.f90	(revision 98)
@@ -10,4 +10,5 @@
 ! $Id$
 !
+! 97 2007-06-21 08:23:15Z raasch
 ! Initial revision
 !
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 97)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 98)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! Statistics for ocean version (salinity, density) added,
 ! calculation of z_i and Deardorff velocity scale adjusted to be used with
 ! the ocean version
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 97)
+++ palm/trunk/SOURCE/header.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Adjustments for the ocean version.
-! use_pt_reference renamed use_reference
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Adjustments for the ocean version.
+! use_pt_reference renamed use_reference
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 97)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 98)
@@ -7,9 +7,12 @@
 ! Actual revisions:
 ! -----------------
-! Initialization of salinity, call of init_ocean
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Initialization of salinity, call of init_ocean
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- palm/trunk/SOURCE/init_cloud_physics.f90	(revision 97)
+++ palm/trunk/SOURCE/init_cloud_physics.f90	(revision 98)
@@ -4,9 +4,14 @@
 ! Actual revisions:
 ! -----------------
-! hydro_press renamed hyp
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! hydro_press renamed hyp
+!
+! February 2007
 ! RCS Log replace by Id keyword, revision history cleaned up
 !
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 97)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Grid definition for ocean version
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 94 2007-06-01 15:25:22Z raasch
+! Grid definition for ocean version
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/init_ocean.f90
===================================================================
--- palm/trunk/SOURCE/init_ocean.f90	(revision 97)
+++ palm/trunk/SOURCE/init_ocean.f90	(revision 98)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! hydro_press renamed hyp
+! 
 !
 ! Former revisions:
@@ -10,5 +10,6 @@
 ! $Id$
 !
-! Initial revision (raasch 01/06/07)
+! 97 2007-06-21 08:23:15Z raasch
+! Initial revision
 !
 ! Description:
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 97)
+++ palm/trunk/SOURCE/modules.f90	(revision 98)
@@ -5,11 +5,14 @@
 ! Actual revisions:
 ! -----------------
-! +atmos_ocean_sign, ocean, r, + salinity variables
-! defaults of .._vertical_gradient_levels changed from -1.0 to -9999999.9
-! hydro_press renamed hyp, use_pt_reference renamed use_reference
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! +atmos_ocean_sign, ocean, r, + salinity variables
+! defaults of .._vertical_gradient_levels changed from -1.0 to -9999999.9
+! hydro_press renamed hyp, use_pt_reference renamed use_reference
 !
 ! 89 2007-05-25 12:08:31Z raasch
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 97)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 98)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! ------------------
-! Grids defined for rho and sa
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Grids defined for rho and sa
 !
 ! 48 2007-03-06 12:28:36Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 97)
+++ palm/trunk/SOURCE/parin.f90	(revision 98)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
 ! +bc_sa_t, bottom_salinityflux, ocean, sa_surface, sa_vertical_gradient,
 ! sa_vertical_gradient_level, top_salinityflux in inipar,
 ! sa_init is allocated
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 97)
+++ palm/trunk/SOURCE/production_e.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! energy production by density flux (in ocean) added
-! use_pt_reference renamed use_reference
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Energy production by density flux (in ocean) added
+! use_pt_reference renamed use_reference
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 97)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 98)
@@ -4,4 +4,11 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! prognostic equation for salinity, density is calculated from equation of
 ! state for seawater and is used for calculation of buoyancy,
@@ -11,8 +18,4 @@
 ! in calls of buoyancy and diffusion_e, calc_mean_pt_profile renamed
 ! calc_mean_profile
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 97)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +rho_av, sa, sa_av, saswsb, saswst
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! +rho_av, sa, sa_av, saswsb, saswst
 !
 ! 73 2007-03-20 08:33:14Z raasch
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 97)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
-! sa_vertical_gradient_level, bottom/top_salinity_flux
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
+! sa_vertical_gradient_level, bottom/top_salinity_flux
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: palm/trunk/SOURCE/run_control.f90
===================================================================
--- palm/trunk/SOURCE/run_control.f90	(revision 97)
+++ palm/trunk/SOURCE/run_control.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Timestep format changed
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
+! Timestep and z_i format changed
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 97)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +sum-up of density and salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! +sum-up of density and salinity
 !
 ! 72 2007-03-19 08:20:46Z raasch
Index: palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- palm/trunk/SOURCE/swap_timelevel.f90	(revision 97)
+++ palm/trunk/SOURCE/swap_timelevel.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Swaping of salinity
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! Swaping of salinity
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 97)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 98)
@@ -4,11 +4,14 @@
 ! Actual revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 97 2007-06-21 08:23:15Z raasch
 ! diffusivities is called with argument rho in case of ocean runs,
 ! new argument pt_/prho_reference in calls of diffusivities,
 ! ghostpoint exchange for salinity and density
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 87 2007-05-22 15:46:47Z raasch
Index: palm/trunk/SOURCE/user_interface.f90
===================================================================
--- palm/trunk/SOURCE/user_interface.f90	(revision 97)
+++ palm/trunk/SOURCE/user_interface.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! user action for salinity added
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! user action for salinity added
 !
 ! 89 2007-05-25 12:08:31Z raasch
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 97)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 98)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! +rho_av, sa, sa_av, saswsb, saswst
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 96 2007-06-04 08:07:41Z raasch
+! +rho_av, sa, sa_av, saswsb, saswst
 !
 ! 75 2007-03-22 09:54:05Z raasch
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 97)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 98)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
-! sa_vertical_gradient_level, bottom/top_salinity_flux
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 95 2007-06-02 16:48:38Z raasch
+! +bc_sa_t, ocean, sa_init, sa_surface, sa_vertical_gradient,
+! sa_vertical_gradient_level, bottom/top_salinity_flux
 !
 ! 87 2007-05-22 15:46:47Z raasch
